-- Newgame postprocessor script for 1.50 improved.

-- DEPOSITS
   -- Poor and ultra poor planets with gold or gem deposits are upgraded.
      -- Tiny:        normal-G, rich
      -- Small-Large: normal-G, abundant
      -- Huge:        normal-G, poor

for i,p in pairs(get_planets()) do
    if (p.special == 4 or p.special == 5) and p.minerals <= 1 then
        if p.size == 4 then
           set_planets({[i] = {gravity = 1, minerals = 1}})
        elseif p.size >= 1 then
           set_planets({[i] = {gravity = 1, minerals = 2}})
        else
           set_planets({[i] = {gravity = 1, minerals = 3}})
        end
    end
end
